<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>S13-14 Activity</title>
    <link rel="stylesheet" href="./style.css">

    <!-- font link -->

    <link rel="preconnect" href="https://fonts.googleapis.com">
    <link rel="preconnect" href="https://fonts.gstatic.com" crossorigin>
    <link href="https://fonts.googleapis.com/css2?family=Montserrat&display=swap" rel="stylesheet">

    <link rel="preconnect" href="https://fonts.googleapis.com">
    <link rel="preconnect" href="https://fonts.gstatic.com" crossorigin>
    <link href="https://fonts.googleapis.com/css2?family=Montserrat:ital,wght@0,400;1,100&display=swap" rel="stylesheet">
</head>
<body>
    <!-- nav -->
    <nav class="navbar" id="navbar">
      <ul class="navbar-nav">
        <li class="">
          <a class="" href="#landingPage">Home</a>
        </li>
        <li class="">
          <a class="" href="#about-us">About Us</a>
        </li>
        <li class="">
          <a class="" href="#gallery">Gallery</a>
        </li>
        <li class="">
          <a class="nav-link" href="#contact-us">Contact Us</a>
        </li>
      </ul>
    </nav>
    
    <div class="sebong" id="landingPage">
        <h1>My Online Portfolio</h1>
        <h3>Fullstack Developer</h3>
        <h2>Mark Owen</h2>
        <img src="C:\Users\Admin\Documents\01FrontEndCourse\s13\a1\images\Owen.jpg" style="width: 110px; height: 110px" class="profile-img">
        <p>Thank you for visiting!</p>
    </div>

    <div class="landing-page" id="about-us">
      <div class="landing-page-content">
        <div class="about-us-image">
          <img src="https://i.ppy.sh/bcd934a16dd30e566f44702032eb9142d87178a4/68747470733a2f2f6f73752e7070792e73682f77696b692f696d616765732f4d6173636f74732f696d672f446f6e2e706e67" alt="Girl in a jacket" width="500" height="600">
        </div>
        <div class="abous-us-text">
            <h2 style = "text-align: left;" id="highlightText">Mark Owen J Napiza</h2>
            <p style = "text-align: left;">I am a Grade 12 student at Escuela de Sophia of Caloocan, Inc. who is enrolled in the ICT Strand. My life's greatest objective is to become successful so that I can accomplish my needs and my future of myself.</p>
        </div>
      </div>
    </div>
    
     

     
    <script>
        const nav = document.querySelector('#navbar');

            if (window.scrollY >= 10) {
                nav.classList.add('scrolled')
            }

            window.onscroll = () => {
            if (this.scrollY <= 10) {
                nav.classList.remove('scrolled')
            } else {
                nav.classList.add('scrolled')
            }
        };

        const sections = document.querySelectorAll("div");
        const navLinks = document.querySelectorAll(".navbar ul li a");

        function highlightNavLink() {
          const scrollPos = window.pageYOffset || document.documentElement.scrollTop || document.body.scrollTop;
          for (let i = 0; i < sections.length; i++) {
            const section = sections[i];
            const sectionTop = section.getBoundingClientRect().top + window.innerHeight * 0.01;
            const navLink = navLinks[i];
            if (sectionTop <= scrollPos && sectionTop + section.offsetHeight > scrollPos) {
              navLink.classList.add("navbar-active");
            } else {
              navLink.classList.remove("navbar-active");
            }
          }
        }

        window.addEventListener("scroll", highlightNavLink);
        const h2Elements = document.querySelectorAll("div h2");
        
        function highlightH2() {
        const scrollPos = window.pageYOffset || document.documentElement.scrollTop || document.body.scrollTop;
        for (let i = 0; i < sections.length; i++) {
          const section = sections[i];
          const sectionTop = section.getBoundingClientRect().top + window.innerHeight * 0.01;
          const h2 = h2Elements[i];
          if (sectionTop <= scrollPos && sectionTop + section.offsetHeight > scrollPos) {
            h2.classList.add("h2-active");
          } else {
            h2.classList.remove("h2-active");
          }
        }
      }

      window.addEventListener("scroll", highlightH2);

          
            
    </script> 
</body>
</html>
